Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(3)

Issue 2705293010: PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
8 months ago by zino
Modified:
7 months, 1 week ago
CC:
chromium-reviews, michaeln, jsbell+serviceworker_chromium.org, tzik, kinuko+watch, rouslan+payments_chromium.org, serviceworker-reviews, gogerald+paymentswatch_chromium.org, blink-reviews, dglazkov+blink, blink-reviews-api_chromium.org, kinuko+serviceworker, horo+watch_chromium.org, falken+watch_chromium.org, shimazu+serviceworker_chromium.org, sebsg+paymentswatch_chromium.org
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) The respondWith() method is used by the payment app to provide a PaymentAppResponse when the payment successfully completes. Related Spec Link: https://w3c.github.io/webpayments-payment-apps-api/#idl-def-paymentrequestevent See the other CLs in this series: [1/3] https://codereview.chromium.org/2715663002/ (RespondWithObserver) [2/3] This patch [3/3] https://codereview.chromium.org/2718013004/ (content side and test) BUG=661608 TEST=payment_app_browsertest.cc Review-Url: https://codereview.chromium.org/2705293010 Cr-Commit-Position: refs/heads/master@{#457841} Committed: https://chromium.googlesource.com/chromium/src/+/af737fca2a12ce091d13c99cfec05d159af0748c

Patch Set 1 #

Patch Set 2 : PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) #

Total comments: 14

Patch Set 3 : PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) #

Total comments: 22

Patch Set 4 : PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) #

Patch Set 5 : PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) #

Patch Set 6 : PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) #

Total comments: 2

Patch Set 7 : PaymentApp: Implement respondWith() in PaymentRequestEvent. (blink side) #

Unified diffs Side-by-side diffs Delta from patch set Stats (+283 lines, -16 lines) Patch
M third_party/WebKit/Source/modules/modules_idl_files.gni View 1 2 3 4 2 chunks +3 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/BUILD.gn View 1 2 1 chunk +2 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp View 1 2 3 4 1 chunk +6 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/modules/payments/PaymentAppResponse.idl View 1 chunk +10 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequestEvent.h View 2 chunks +6 lines, -1 line 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp View 3 chunks +21 lines, -9 lines 0 comments Download
M third_party/WebKit/Source/modules/payments/PaymentRequestEvent.idl View 1 chunk +1 line, -1 line 0 comments Download
A third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.h View 1 2 1 chunk +43 lines, -0 lines 0 comments Download
A third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp View 1 2 3 4 5 6 1 chunk +131 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/modules/serviceworkers/ServiceWorkerGlobalScopeClient.h View 1 2 chunks +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/ServiceWorkerGlobalScopeClientImpl.h View 1 2 chunks +4 lines, -0 lines 0 comments Download
M third_party/WebKit/Source/web/ServiceWorkerGlobalScopeClientImpl.cpp View 1 2 chunks +10 lines, -2 lines 0 comments Download
M third_party/WebKit/Source/web/ServiceWorkerGlobalScopeProxy.cpp View 1 2 3 2 chunks +16 lines, -3 lines 0 comments Download
M third_party/WebKit/public/BUILD.gn View 1 2 3 1 chunk +1 line, -0 lines 0 comments Download
A third_party/WebKit/public/platform/modules/payments/WebPaymentAppResponse.h View 1 chunk +20 lines, -0 lines 0 comments Download
M third_party/WebKit/public/web/modules/serviceworker/WebServiceWorkerContextClient.h View 1 2 3 2 chunks +5 lines, -0 lines 0 comments Download
Commit queue not available (can’t edit this change).

Messages

Total messages: 34 (14 generated)
zino
PTAL
7 months, 2 weeks ago (2017-03-07 15:51:25 UTC) #4
shimazu
drive-by comments: https://codereview.chromium.org/2705293010/diff/20001/third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.h File third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.h (right): https://codereview.chromium.org/2705293010/diff/20001/third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.h#newcode20 third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.h:20: class MODULES_EXPORT PaymentRequestRespondWithObserver I feel this class ...
7 months, 2 weeks ago (2017-03-08 01:39:25 UTC) #6
nhiroki
https://codereview.chromium.org/2705293010/diff/20001/third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.cpp File third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.cpp (right): https://codereview.chromium.org/2705293010/diff/20001/third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.cpp#newcode45 third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.cpp:45: default: I'd recommend not to use 'default' for WebServiceWorkerResponseError ...
7 months, 2 weeks ago (2017-03-08 02:28:16 UTC) #7
haraken
https://codereview.chromium.org/2705293010/diff/20001/third_party/WebKit/Source/web/ServiceWorkerGlobalScopeProxy.cpp File third_party/WebKit/Source/web/ServiceWorkerGlobalScopeProxy.cpp (right): https://codereview.chromium.org/2705293010/diff/20001/third_party/WebKit/Source/web/ServiceWorkerGlobalScopeProxy.cpp#newcode344 third_party/WebKit/Source/web/ServiceWorkerGlobalScopeProxy.cpp:344: ScriptState::Scope scope( On 2017/03/08 02:28:16, nhiroki (slow) wrote: > ...
7 months, 2 weeks ago (2017-03-08 09:28:06 UTC) #8
zino
Thank you for input and reviews! I addressed your comments. PTAL. https://codereview.chromium.org/2705293010/diff/20001/third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.cpp File third_party/WebKit/Source/modules/serviceworkers/PaymentRequestRespondWithObserver.cpp (right): ...
7 months, 2 weeks ago (2017-03-10 17:57:52 UTC) #9
zino
Ping nhiroki@ and haraken@
7 months, 1 week ago (2017-03-14 14:11:23 UTC) #10
haraken
https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp File third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp (right): https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp#newcode90 third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp:90: if (!scriptState || !scriptState->contextIsValid()) scriptState should not be null. ...
7 months, 1 week ago (2017-03-14 16:15:52 UTC) #11
nhiroki
Sorry for my delayed review. LGTM from ServiceWorker's point of view. https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp File third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp (right): ...
7 months, 1 week ago (2017-03-16 13:24:47 UTC) #12
zino
Thank you for review. I left some comments. haraken@ Thanks :) https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp File third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp (right): ...
7 months, 1 week ago (2017-03-16 13:47:31 UTC) #13
zino
Thank you for review nhiroki@. PTAL https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp File third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp (right): https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp#newcode35 third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp:35: if (m_observer) { ...
7 months, 1 week ago (2017-03-16 14:32:03 UTC) #16
haraken
nhiroki: Would there be any way to reduce code duplication with FetchRespondWithObserver? https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp File third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp ...
7 months, 1 week ago (2017-03-16 15:16:52 UTC) #17
zino
https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp File third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp (right): https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp#newcode90 third_party/WebKit/Source/modules/payments/PaymentAppRequestConversion.cpp:90: if (!scriptState || !scriptState->contextIsValid()) On 2017/03/16 15:16:52, haraken wrote: ...
7 months, 1 week ago (2017-03-16 16:34:19 UTC) #18
nhiroki
On 2017/03/16 15:16:52, haraken wrote: > nhiroki: Would there be any way to reduce code ...
7 months, 1 week ago (2017-03-17 07:44:52 UTC) #19
nhiroki
https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp File third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp (right): https://codereview.chromium.org/2705293010/diff/40001/third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp#newcode35 third_party/WebKit/Source/modules/payments/PaymentRequestEvent.cpp:35: if (m_observer) { On 2017/03/16 14:32:02, zino wrote: > ...
7 months, 1 week ago (2017-03-17 07:45:12 UTC) #20
haraken
LGTM https://codereview.chromium.org/2705293010/diff/100001/third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp File third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp (right): https://codereview.chromium.org/2705293010/diff/100001/third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp#newcode92 third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp:92: V8PaymentAppResponse::toImpl(toIsolate(getExecutionContext()), Can we use ScriptValue<PaymentAppResponse>::to(...) just like what ...
7 months, 1 week ago (2017-03-17 11:55:57 UTC) #21
haraken
Sorry about the review delay.
7 months, 1 week ago (2017-03-17 11:56:14 UTC) #22
please use gerrit instead
payments lgtm
7 months, 1 week ago (2017-03-17 12:43:57 UTC) #23
zino
Thank you for review! https://codereview.chromium.org/2705293010/diff/100001/third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp File third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp (right): https://codereview.chromium.org/2705293010/diff/100001/third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp#newcode92 third_party/WebKit/Source/modules/payments/PaymentRequestRespondWithObserver.cpp:92: V8PaymentAppResponse::toImpl(toIsolate(getExecutionContext()), On 2017/03/17 11:55:57, haraken ...
7 months, 1 week ago (2017-03-17 17:03:09 UTC) #28
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2705293010/120001
7 months, 1 week ago (2017-03-17 17:03:50 UTC) #31
commit-bot: I haz the power
7 months, 1 week ago (2017-03-17 19:12:07 UTC) #34
Message was sent while issue was closed.
Committed patchset #7 (id:120001) as
https://chromium.googlesource.com/chromium/src/+/af737fca2a12ce091d13c99cfec0...
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 81bcdb8aa